<?php

namespace WilokeThreeDSlider\Widgets;

class RegistrationController
{
	public function __construct()
	{
		add_action('elementor/frontend/after_register_scripts', [$this, 'registerScripts']);
		add_action('elementor/frontend/after_register_styles', [$this, 'registerStyles']);
		add_action('elementor/widgets/register', [$this, 'registerWidgets']);
	}

	public function registerWidgets($oWidgetManager)
	{
		$oWidgetManager->register(new ThreeDSliderWidget());
	}

	public function registerScripts()
	{
		wp_register_script(
			WILOKE_3D_SLIDER_ID,
			WILOKE_3D_SLIDER_SOURCE_URL . 'script.js',
			[],
			WILOKE_3D_SLIDER_VERSION,
			true
		);
	}

	public function registerStyles()
	{
		wp_register_style(
			WILOKE_3D_SLIDER_ID,
			WILOKE_3D_SLIDER_SOURCE_URL . 'style.css',
			[],
			WILOKE_3D_SLIDER_VERSION
		);
	}
}
